# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
BF_ENC = @BF_ENC@
BN_MULW = @BN_MULW@
CC = @CC@
CPP = @CPP@
DES_ENC = @DES_ENC@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@

noinst_LIBRARIES=libevp.a
INCLUDES=-I$(top_srcdir)/crypto

libevp_a_SOURCES=bio_b64.c bio_enc.c bio_md.c c_all.c digest.c e_cbc_3d.c \
	e_cbc_bf.c e_cbc_d.c e_cbc_i.c e_cbc_r2.c e_cfb_3d.c e_cfb_bf.c \
	e_cfb_d.c e_cfb_i.c e_cfb_r2.c e_ecb_3d.c e_ecb_bf.c e_ecb_d.c \
	e_ecb_i.c e_ecb_r2.c e_null.c e_ofb_3d.c e_ofb_bf.c e_ofb_d.c \
	e_ofb_i.c e_ofb_r2.c e_rc4.c e_xcbc_d.c encode.c evp_enc.c evp_err.c \
	evp_key.c m_dss.c m_dss1.c m_md2.c m_md5.c m_mdc2.c m_null.c m_sha.c \
	m_sha1.c names.c p_lib.c p_open.c p_seal.c p_sign.c p_verify.c

EXTRA_DIST=Makefile.ssl e_dsa.c evp.err evp.h
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libevp_a_LIBADD = 
libevp_a_OBJECTS =  bio_b64.o bio_enc.o bio_md.o c_all.o digest.o \
e_cbc_3d.o e_cbc_bf.o e_cbc_d.o e_cbc_i.o e_cbc_r2.o e_cfb_3d.o \
e_cfb_bf.o e_cfb_d.o e_cfb_i.o e_cfb_r2.o e_ecb_3d.o e_ecb_bf.o \
e_ecb_d.o e_ecb_i.o e_ecb_r2.o e_null.o e_ofb_3d.o e_ofb_bf.o e_ofb_d.o \
e_ofb_i.o e_ofb_r2.o e_rc4.o e_xcbc_d.o encode.o evp_enc.o evp_err.o \
evp_key.o m_dss.o m_dss1.o m_md2.o m_md5.o m_mdc2.o m_null.o m_sha.o \
m_sha1.o names.o p_lib.o p_open.o p_seal.o p_sign.o p_verify.o
AR = ar
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
SOURCES = $(libevp_a_SOURCES)
OBJECTS = $(libevp_a_OBJECTS)

all: Makefile $(LIBRARIES)

.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps crypto/evp/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libevp.a: $(libevp_a_OBJECTS) $(libevp_a_DEPENDENCIES)
	-rm -f libevp.a
	$(AR) cru libevp.a $(libevp_a_OBJECTS) $(libevp_a_LIBADD)
	$(RANLIB) libevp.a

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = crypto/evp

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
bio_b64.o: bio_b64.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
bio_enc.o: bio_enc.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
bio_md.o: bio_md.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
c_all.o: c_all.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
digest.o: digest.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/objects.h \
	../../include/asn1.h ../../include/bn.h ../../include/stack.h \
	evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h
e_cbc_3d.o: e_cbc_3d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cbc_bf.o: e_cbc_bf.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cbc_d.o: e_cbc_d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cbc_i.o: e_cbc_i.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cbc_r2.o: e_cbc_r2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cfb_3d.o: e_cfb_3d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cfb_bf.o: e_cfb_bf.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cfb_d.o: e_cfb_d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cfb_i.o: e_cfb_i.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_cfb_r2.o: e_cfb_r2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ecb_3d.o: e_ecb_3d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ecb_bf.o: e_ecb_bf.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ecb_d.o: e_ecb_d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ecb_i.o: e_ecb_i.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ecb_r2.o: e_ecb_r2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_null.o: e_null.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ofb_3d.o: e_ofb_3d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ofb_bf.o: e_ofb_bf.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ofb_d.o: e_ofb_d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ofb_i.o: e_ofb_i.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_ofb_r2.o: e_ofb_r2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_rc4.o: e_rc4.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
e_xcbc_d.o: e_xcbc_d.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
encode.o: encode.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
evp_enc.o: evp_enc.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
evp_err.o: evp_err.c ../../config.h ../../include/err.h evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
evp_key.o: evp_key.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/x509.h \
	../../include/stack.h ../../include/asn1.h ../../include/bn.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h evp.h
m_dss.o: m_dss.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_dss1.o: m_dss1.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_md2.o: m_md2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_md5.o: m_md5.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_mdc2.o: m_mdc2.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_null.o: m_null.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_sha.o: m_sha.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
m_sha1.o: m_sha1.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
names.o: names.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h
p_lib.o: p_lib.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/objects.h \
	../../include/asn1.h ../../include/bn.h ../../include/stack.h \
	evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/asn1_mac.h \
	../../include/x509.h ../../include/evp.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
p_open.o: p_open.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p_seal.o: p_seal.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/rand.h ../../include/rsa.h \
	../../include/bn.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/dsa.h ../../include/dh.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h ../../include/evp.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
p_sign.o: p_sign.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p_verify.o: p_verify.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/evp.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-noinstLIBRARIES distclean-compile distclean-tags \
		distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info dvi installcheck \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


errors evp_err.c evp.h: evp.err
	perl $(top_srcdir)/util/err-ins.pl evp.err evp.h
	perl $(top_srcdir)/crypto/err/err_genc.pl evp.h evp_err.c

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
